#include <iostream>

#include "DanceJudges.h"
#include "Person.h"
#include "IDanceFilter.h"
#include "PersonAdapter.h"


int main(){
	std::cout<<"main: START\n";

	DanceJudges danceJudges;
	Person* person = new Person(14);	
	IDanceFilter* iDanceFilter = new PersonAdapter(person);

	if(danceJudges.canDance(iDanceFilter))
		std::cout<<"they can dance\n";
	else
		std::cout<<"they can NOT dance\n";
	
	std::cout<<"main: END\n";

	//QUESTION
	delete person;
	delete iDanceFilter;
	return 0;
}
